> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/deposits-api/hybrid-api.md).

# Hybrid API

{% hint style="danger" %}
This documentation is meant only to support old integrations and should not be integrated anymore. For the latest Deposits Documentation [click here](https://docs.directa24.com/deposits/create-deposits).
{% endhint %}

### Hybrid Integration

The Hybrid Integration allows you to simply redirect your customers to a check-in page of us. Therefore, you avoid having to ask and validate all the customers details.

#### Hybrid Deposit Flow

After you generate a request through the Hybrid API, we will respond you back with a unique link you can store and use to redirect the customer to our check-in page where we will show them all the different Payment Methods you have for the country you specified at the time of doing the request. You can also opt for sending the payment method from your cashier hence it won't be asked again to the user. The customer then will fill in all the details needed. After that, we will redirect them to the payment method checkout page to complete the payment.

**- Choose payment method**

![](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2FpFrB7HnMJMREzs7Frtd9%2Fhybrid_view_01.png?alt=media\&token=7153adb1-4dac-4074-be5e-d6cebe5bc07c)

**- Complete missing details**

![](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2FubavH9XfqmzUXBmImiyF%2Fhybrid_view_02.png?alt=media\&token=89705b52-b3c9-4ced-85be-afd86e5bf810)

**- Pay**

![](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2F2Wxc82pXPgc68lSuIyTA%2Fhybrid_view_03.png?alt=media\&token=130a5430-b84d-47a9-9d39-1129829e8d7c)

**1 -** The customer requests to deposit in your site.

**2 -** You use our API to request a link. Here you specify the customer's country, the amount to deposit, a customer's ID and a unique ID that will identify the deposit on our Merchant Panel.

**3 -** We respond you back with a link you can store and use to redirect the customer at any time.

**4 -** The customer selects the Payment Method, completes the information required and click on "Confirm details".

**5 -** At this point, if all the details were correct we will create the deposit in Pending state and redirect the customer to:

* **Credit/Debit Cards:** to a credit card processor page for card data entry.
* **Online Bank Payment:** to their online bank account to log in and complete the payment.
* **Cash Payment Methods:** to a printable copy of their payment advice, which they can use to pay.

You will be able to see the Deposit details and status in our Merchant Panel or through our Deposit Status API using the unique ID you specified early.

**6 -** The customer makes the Cash Deposit, the Electronic Bank Transfer or the Credit/Debit Card payment.

**7 -** After the payment has been made, the customer is returned to your site (to whichever “Return URL” you specified or have configured in the Merchant Panel).

**8 -** Once the payment is confirmed by the Bank/Credit Card company, Easy Cashouts API will send the transaction result to your confirmation URL.

{% hint style="info" %}
Notice that Easy Cashouts API is not displayed as a way of payment itself, only the local payment methods are offered to the customer.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/deposits-api/hybrid-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
